rem @echo off

cd ..\..\..\

set bdir="C:/Program Files/PS3 Media Server v1.50.1/PS3 Media Server/regzamod\RzWEBplayer"

rem ---- trasco ffmpeg bad
set url="http://www.nicovideo.jp/watch/sm23694820"
set url="http://www.nicovideo.jp/watch/sm23991760"

rem ---- remux ffmpeg bad
set url="http://www.nicovideo.jp/watch/sm23989802"
set url="http://www.nicovideo.jp/watch/sm23992630"

rem ---- trasco ffmpeg good
set url="http://www.nicovideo.jp/watch/sm23991923"

set url="http://www.nicovideo.jp/watch/sm23989802"
set url="http://www.nicovideo.jp/watch/sm25495406"

set video_out=out.mpg
rem set opts=--timeseek 20
set mencoder_opts=-ss 0 - -of mpeg -oac lavc -ovc lavc -lavcopts aspect=16/9:vcodec=mpeg2video:acodec=ac3 -o out.mpg
set mencoder=win32/mencoder.exe

set ffmpeg_opts=-ss 0 -i pipe:0.mpg -f mpegts -vcodec mpeg2video -acodec ac3 -async 10 -loglevel error -y
set ffmpeg=win32/ffmpeg-RZ.exe

rem getMinfo
rem C:/Python27/python.exe %bdir%/RzNicoPlayer.py 2 %url%

rem play
rem C:/Python27/python.exe %bdir%/RzNicoPlayer.py %url% %video_out% 
rem C:/Python27/python.exe %bdir%/RzNicoPlayer.py %url% %video_out% %mencoder% - %mencoder_opts% -o %video_out%

C:/Python27/python.exe %bdir%/RzNicoPlayer.py %url% %video_out% %ffmpeg% %ffmpeg_opts% %video_out%
rem C:/Python27/python.exe %bdir%/RzNicoPlayer.py %url% %video_out% %mencoder% %mencoder_opts%

pause